RISC_OS_FILETYPES = {
  0xfff: ('Text', 'ASCII text'),
  0xffe: ('Command', 'CLI Commands'),
  0xffd: ('Data', 'Arbitrary data'),
  0xffc: ('Utility', 'Transient program'),
  0xffb: ('BASIC', 'Tokenised BASIC program'),
  0xffa: ('Module', 'Relocatable code module'),
  0xff9: ('Sprite', 'Picture or saved screen'),
  0xff8: ('Absolute', 'Absolute ARM code, (loaded at &8000)'),
  0xff7: ('BBC font', 'BBC font, (VDU code sequence)'),
  0xff6: ('Font', 'Outline font, 1bpp or 4bpp bitmap'),
  0xff5: ('PoScript', 'PostScript'),
  0xff4: ('Printout', 'Dot-matrix printout'),
  0xff3: ('LaserJet', 'HP LaserJet print data (PCL)'),
  0xff2: ('Config', '240 byte CMOS RAM configuration'),
  0xff1: ('RawData', 'Raw unprocessed data'),
  0xff0: ('TIFF', 'Tagged Image File Format picture'),
  0xfef: ('Diary', 'Arthur desktop diary'),
  0xfee: ('NotePad', 'Arthur desktop notepad'),
  0xfed: ('Palette', 'Desktop palette'),
  0xfec: ('Template', 'Window templates'),
  0xfeb: ('Obey', 'CLI commands'),
  0xfea: ('Desktop', 'Desktop setup'),
  0xfe9: ('ViewWord', 'View word processor'),
  0xfe8: ('ViewPS', 'View word processor'),
  0xfe7: ('ViewSht', 'ViewSheet spreadsheet'),
  0xfe6: ('UNIX Ex', ''),
  0xfe5: ('ROM', 'OS softload image (or EPROM)'),
  0xfe4: ('DOS', 'IBM PC disc file'),
  0xfe3: ('Atari', 'Atari ST disc file (or ST)'),
  0xfe2: ('Amiga', 'Commodore Amiga disc file (or CBM)'),
  0xfe1: ('Makefile', 'DDE Make Makefile'),
  0xfe0: ('Accessry', 'Arthur desktop accessory (obsolete)'),
  0xfdf: ('VTScript', 'TCP/IP'),
  0xfde: ('VTSetup', 'TCP/IP'),
  0xfdd: ('MasterUt', 'BBC Master utilities'),
  0xfdc: ('SoftLink', ''),
  0xfdb: ('TextCRLF', ''),
  0xfda: ('MSDOSbat', 'Windows batch file'),
  0xfd9: ('MSDOSexe', 'Windows executable'),
  0xfd8: ('MSDOScom', 'Windows command file'),
  0xfd7: ('TaskObey', '*Obey in a TaskWindow'),
  0xfd6: ('TaskExec', '*Exec in a TaskWindow'),
  0xfd5: ('Pict', 'Macintosh Pict metafile'),
  0xfd4: ('MIDI', 'Musical Instrument Digital Interface'),
  0xfd3: ('DebImage', 'DDE Debug file'),
  0xfd2: ('ScrDiff', ''),
  0xfd1: ('BASICTxt', 'DeskEdit Basic program in text form'),
  0xfd0: ('PCConfig', 'PC Emulator configuration'),
  0xfcf: ('Cache', 'FontCache'),
  0xfce: ('Floppy', 'Filecore floppy disc image'),
  0xfcd: ('HardDisc', 'Filecore hard disc image'),
  0xfcc: ('Device', 'Device'),
  0xfca: ('Squash', 'Compressed file'),
  0xfc9: ('SunRastr', 'Sun Microsystems raster file'),
  0xfc8: ('DOSDisc', 'DOS Disc'),
  0xfc7: ('MacType1', 'Mac format PostScript Type1 font'),
  0xfc6: ('PrintDfn', 'Printer definition'),
  0xfc3: ('Patch', 'Risc OS 3 Patch'),
  0xfc2: ('AIFF', 'Audio IFF'),
  0xfc0: ('Link', 'Symbolic link'),
  0xfbe: ('PBCards', 'PocketFS'),
  0xfbd: ('PBWrite', 'PocketFS'),
  0xfbc: ('PBAbacus', 'PocketFS'),
  0xfb5: ('NoDisc', 'Acorn Access'),
  0xfb4: ('DiscR', 'Acorn Access'),
  0xfb2: ('MovieFS', 'Video'),
  0xfb1: ('WAV', 'Sound sample, many sub-formats'),
  0xfb0: ('Allocate', 'RISC OS name allocation request'),
  0xfaf: ('HTML', 'Hypertext markup language'),
  0xfae: ('Resource', 'Toolbox UI definition'),
  0xfac: ('HCL', 'HyperCard Language'),
  0xfab: ('KnowBase', 'Expert system'),
  0xfaa: ('UtlLabel', 'Unused?'),
  0xfa8: ('EasyData', ''),
  0xfa2: ('HomeWrks', ''),
  0xf9f: ('DiscD', 'Acorn Access'),
  0xf9e: ('DiscDP', 'Acorn Access'),
  0xf9d: ('DiscCD', 'Acorn Access'),
  0xf98: ('PhotoShp', 'Adobe Photoshop picture'),
  0xf95: ('Code', 'Parallel of Data (FFD)'),
  0xf91: ('URI', 'Uniform Resource Indicator'),
  0xf89: ('GZip', 'Gzip, (GNU Zip)'),
  0xf88: ('RealAud', 'Real compressed audio'),
  0xf83: ('MNG', 'Motion Network Graphics animation'),
  0xf81: ('JSScript', 'JavaScript'),
  0xf80: ('XML', 'eXtended Markup Language files'),
  0xf7c: ('Teletext', 'Teletext screen data'),
  0xf7b: ('Obey26', '26-bit only Obey file'),
  0xf7a: ('Basic26', '26-bit only BASIC file'),
  0xf79: ('CSS', 'Cascading Style Sheet'),
  0xf78: ('JNG', 'Joint Network Graphics picture'),
  0xf77: ('Squarc', 'Archive'),
  0xf76: ('EDID', 'Binary EDID dump'),
  0xf75: ('JSON', 'JavaScript Object Notation file'),
  0xf74: ('YAML', 'YAML Ain’t Markup Language file'),
  0xf1b: ('65Host', 'Usually a Basic program'),
  0xf19: ('BasicII', 'BBC Basic from BBC Micro'),
  0xf12: ('BasicNt', 'BBC Basic from MasterET'),
  0xf0e: ('BasicIV', 'BBC Basic from Master128'),
  0xf09: ('WiniUtil', 'BBC Winchester Utility'),
  0xeeb: ('ScrnTurt', 'ScreenTurtle logo definitions'),
  0xeea: ('ScrnTurt', 'ScreenTurtle compressed screens'),
  0xed1: ('ComSound', 'Com sound'),
  0xed0: ('DSEdSmpl', 'Raw sound sample'),
  0xecf: ('ECFData', 'Pro-Artisan extended colour fill'),
  0xecd: ('TeleSoft', ''),
  0xecb: ('PCBFile', ''),
  0xe92: ('DiscIndx', ''),
  0xe1f: ('ELF', 'ELF format executable'),
  0xe13: ('Drummer', 'The Drummer'),
  0xdff: ('Logistix', 'Logistix data'),
  0xdfe: ('CSV', 'Comma separated value spreadsheet'),
  0xdfd: ('DIF', ''),
  0xdfc: ('LogoExt', 'Logo extensions'),
  0xdfb: ('LookUp', 'Watford Video Digitiser lookup'),
  0xdfa: ('Picture', 'Watford Video Digitiser picture'),
  0xdf9: ('SndSynth', 'Sound (not official?)'),
  0xdf6: ('ISOImage', 'CDROM image'),
  0xdf2: ('DFSDisc', 'BBC Micro floppy image'),
  0xdf0: ('Font', 'AMS Finesse Paint'),
  0xdef: ('Pattern', 'AMS Finesse Paint'),
  0xdee: ('Canvas', 'AMS Finesse Paint'),
  0xded: ('Recycled', 'Discarded file'),
  0xdec: ('DiscRec', 'Disc Record'),
  0xdeb: ('PLT', 'AutoSketch'),
  0xdea: ('DXF', 'Data eXchange Format, AutoSketch, AutoCAD'),
  0xde9: ('SKD', 'AutoSketch SKD'),
  0xde8: ('SD+Data', 'System Delta Plus data'),
  0xde7: ('SD+Form', 'System Delta Plus form'),
  0xde6: ('SG+Graph', 'System Gamma graph'),
  0xde5: ('SG+Macro', 'System Gamma macro'),
  0xde4: ('Sheet', 'System Sigma spreadsheet'),
  0xde3: ('SSMacro', 'System Sigma macro'),
  0xde2: ('XarcPic', 'compressed picture'),
  0xde1: ('Euclid', 'Euclid 3D object'),
  0xde0: ('Sibelius', 'Sibelius info'),
  0xddf: ('Disk manager index', ''),
  0xdde: ('PDream', 'PipeDream document'),
  0xddd: ('GhostDir', 'Symbolic link'),
  0xddc: ('Archive', 'Compressed archive'),
  0xddb: ('MapData', 'MapData'),
  0xdda: ('ColSet', 'Pro-Artisan colour set'),
  0xdd9: ('MagicPen', 'Pro-Artisan magic brush'),
  0xdd8: ('ProFont', 'Pro-Artisan font'),
  0xdd7: ('Bezier', 'Pro-Artisan bezier curves'),
  0xdd6: ('PAX', 'PAX art package'),
  0xdd5: ('HD Log', 'Hard disc archiver backup log'),
  0xdd4: ('HDArch', 'Hard disc archiver'),
  0xdd3: ('Prisma3', 'Prisma3'),
  0xdd2: ('PlutoFnt', 'Pluto font'),
  0xdd1: ('PlutoFIF', 'Pluto font info'),
  0xdd0: ('BNI_Data', 'Monitor system'),
  0xdcf: ('Song', ''),
  0xdce: ('Pattern', ''),
  0xdcd: ('Track', ''),
  0xdcc: ('Arrange', ''),
  0xdcb: ('VoiceSet', 'Studio24+ DrumList/MidiList/ClipList'),
  0xdca: ('Conductr', 'Studio24+ graphics'),
  0xdc9: ('ClipBord', 'Studio24+'),
  0xdc8: ('Graphic', ''),
  0xdc7: ('Rhythm', ''),
  0xdc6: ('Score', 'Studio24+ clipboard'),
  0xdc5: ('ScnMusic', 'Studio24+ conductor'),
  0xdc4: ('VidData', 'Studio24+ voice set'),
  0xdc3: ('Overlays', 'Studio24+ arrangement'),
  0xdc2: ('NMEs', 'Studio24+ track'),
  0xdc1: ('Text', 'Studio24+ pattern'),
  0xdc0: ('MDMMusic', 'Studio24+ song'),
  0xdb8: ('DataKing', ''),
  0xdb7: ('Squirrel', 'Squirrel data'),
  0xdb6: ('DToBase', 'Desktop Office'),
  0xdb5: ('DataVision', 'Silcon Vision DataVision'),
  0xdb4: ('SuperCalc3', ''),
  0xdb3: ('DBaseIII', 'DBase III database'),
  0xdb2: ('DBaseII', 'DBase II database'),
  0xdb1: ('DBaseInd', 'DBase index database'),
  0xdb0: ('Lotus123', 'Lotus 1-2-3 spreadsheet'),
  0xdaf: ('Magpie?', 'Magpie music'),
  0xdae: ('HNCode', 'Armadillo HighNote module'),
  0xdad: ('HNData', 'Armadillo HighNote sound'),
  0xdac: ('HNConfig', 'Armadillo HighNote config'),
  0xda0: ('VPScript', ''),
  0xd98: ('PackFile', 'Archive'),
  0xd97: ('Address', 'Address book'),
  0xd96: ('CFSlzw', '!CFS compressed file'),
  0xd95: ('ArtWkMod', 'Artworks extension'),
  0xd94: ('Artworks', 'Drawing'),
  0xd93: ('DDF', 'Impression Document Description Format'),
  0xd92: ('Screen', 'LaserDirect halftone screen'),
  0xd91: ('Equasor', 'Equasor equations'),
  0xd90: ('FaxExec', 'unused'),
  0xd8f: ('CCRTF', 'unused'),
  0xd8e: ('ABIDefs', 'Application Binary Interface UI definitions'),
  0xd8d: ('LDirect', 'Laser Direct printer file'),
  0xd8c: ('GreyMap', 'unused'),
  0xd8b: ('Abbrev', 'Spell checker abreviation dictionary'),
  0xd8a: ('Excep’ns', 'Spell checker exception dictionary'),
  0xd89: ('IModule', 'Impression Imodule'),
  0xd88: ('Stories', 'Impression stories'),
  0xd87: ('DocData', 'Impression document data'),
  0xd86: ('CCcolour', 'unused'),
  0xd85: ('FaxImage', 'CC FaxPack picture'),
  0xd84: ('Diction', 'Impression Junior spelling dictionary'),
  0xd83: ('Ignore', 'Impression II/Impression Junior ignore list'),
  0xd82: ('IChart', 'InterChart chart'),
  0xd81: ('ISheet', 'InterSheet spreadsheet'),
  0xd80: ('IWord', 'InterWord word processor document'),
  0xd7f: ('ComSprit', 'Atelier compacted sprite'),
  0xd7e: ('MinBrush', 'Atelier user-defined brush'),
  0xd7d: ('MinAnim', 'Atelier animation sequence'),
  0xd7c: ('HomeAcct', 'Home accounts'),
  0xd7b: ('DeltaSet', 'System Delta Plus MultiStore setup'),
  0xd7a: ('Min3DObj', '3-D object'),
  0xd79: ('Min24Bit', '24-bit screen'),
  0xd78: ('FamTree', 'Family tree'),
  0xd77: ('FamTreeA', 'Family tree ancillary'),
  0xd76: ('MitDiary', ''),
  0xd75: ('MitProje', 'Project'),
  0xd74: ('MitBakup', 'DiscTree backup'),
  0xd73: ('MitBScpt', 'DiscTree backup script'),
  0xd72: ('ForthSrc', 'Forth source'),
  0xd71: ('ForthDat', 'Forth'),
  0xd70: ('PlutoPal', 'Pluto palette'),
  0xd6f: ('PlBBCFnt', 'Pluto BBC font'),
  0xd6e: ('PlBBCFIF', 'Pluto BBC font info'),
  0xd6d: ('PlBBCPic', 'Pluto old RLE picture'),
  0xd6c: ('PlDesPic', 'Pluto designer picture'),
  0xd6b: ('PlComScr', 'Pluto compressed screen'),
  0xd6a: ('AceFilm', 'Projector/Euclid compressed screen image sequence'),
  0xd69: ('M3Spread', 'Matrix3 spreadsheet'),
  0xd68: ('M3Exec', 'Matrix3 executable'),
  0xd67: ('M3Conf', 'Matrix3 configuration'),
  0xd66: ('PAX picture', ''),
  0xd65: ('HSStatus', 'Hearsay status'),
  0xd64: ('HSTelDir', 'Hearsay telephone directory'),
  0xd63: ('HSSetup', 'Hearsay setup'),
  0xd62: ('BNI_sp', 'ElectroPhysical Workstation single-precision data'),
  0xd61: ('BNI_dp', 'ElectroPhysical Workstation double-precision data'),
  0xd60: ('BNI_sd', 'ElectroPhysical Workstation standard deviation data'),
  0xd5f: ('BNI_pd', 'ElectroPhysical Workstation patient data'),
  0xd5e: ('BNI_mes', 'ElectroPhysical Workstation derived measures'),
  0xd5d: ('BNI_map', 'ElectroPhysical Workstation topographic map'),
  0xd5c: ('BNI_plot', 'ElectroPhysical Workstation plotter defaults'),
  0xd5b: ('BNI_defm', 'ElectroPhysical Workstation default measures'),
  0xd5a: ('BNI_grap', 'ElectroPhysical Workstation stored graph'),
  0xd59: ('RendScen', 'RenderBender scene description'),
  0xd58: ('RendPic', 'RenderBender compressed pictures'),
  0xd57: ('RendAnim', 'RenderBender/!Translatr animation'),
  0xd56: ('ING', 'Interactive Network Graphics'),
  0xd55: ('HyperTxt', 'Hypertext'),
  0xd54: ('TimeTabl', 'Timetable control'),
  0xd53: ('TTData', 'Timetable support'),
  0xd52: ('ISOCObj', 'ISO C AOF object code'),
  0xd51: ('ISOCLib', 'ISO C library'),
  0xd50: ('ISOCDbug', 'ISO C debug'),
  0xd4f: ('Colours', 'Virtual Palettes'),
  0xd4e: ('Archive', 'Tape Archiver'),
  0xd4d: ('Archway', 'Archway DIY programming suite'),
  0xd4c: ('SprScan', ''),
  0xd4b: ('DigiSim', ''),
  0xd4a: ('APL', 'I-APL'),
  0xd49: ('Book', 'HyperBook book'),
  0xd48: ('Notes', 'HyperBook notes'),
  0xd47: ('Index', 'HyperBook indexes'),
  0xd46: ('Glossary', 'HyperBook glossaries'),
  0xd45: ('Vocablry', 'HyperBook/Numerator vocabularies'),
  0xd44: ('Numrator', 'Numerator workspaces'),
  0xd43: ('Modules', 'Numerator modules'),
  0xd42: ('InData', 'Numerator input'),
  0xd41: ('List', 'PenDown word list'),
  0xd40: ('Help', 'Numerator help'),
  0xd3f: ('FSPaths', 'Instigator'),
  0xd3e: ('FNKeys', 'Instigator'),
  0xd3d: ('OSVars', 'Instigator'),
  0xd3c: ('LinSignd', ''),
  0xd3b: ('Song', 'Music track containing sample + loop points'),
  0xd3a: ('Patterns', 'Atelier patterns'),
  0xd39: ('Formulae', 'Atelier formulae'),
  0xd38: ('Screen', ''),
  0xd37: ('Compress', ''),
  0xd36: ('Captured', ''),
  0xd35: ('Sheet', ''),
  0xd34: ('MacroLib', ''),
  0xd33: ('Profile3', 'HearSay/ArcComm Videotex profile 3, (Prestel) frame store'),
  0xd32: ('Profile2', 'HearSay/ArcComm Videotex profile 2, (Tltel) frame store'),
  0xd31: ('Profile1', 'ArcComm Videotex profile 1, (Bildschirmtext) frame store'),
  0xd30: ('CommProc', 'ArcComm procedure,(text)'),
  0xd2f: ('CommMail', 'ArcComm mailbox text,(binary)'),
  0xd2e: ('Presentr', 'Presenter'),
  0xd2d: ('DOSFile', ''),
  0xd2c: ('ARMInst', ''),
  0xd2b: ('AtelSeq', 'Atelier sequence'),
  0xd2a: ('Magazine', ''),
  0xd29: ('Proman', ''),
  0xd28: ('GIPAL', ''),
  0xd27: ('GIData', ''),
  0xd26: ('KML', 'Route data e.g. GPS'),
  0xd25: ('PremCmd', 'Premier command'),
  0xd24: ('PremData', 'Premier'),
  0xd23: ('Lisp', ''),
  0xd22: ('LispText', ''),
  0xd21: ('PDCmdFil', 'PipeDream macro (commands)'),
  0xd20: ('APECImag', 'APEC ROM image'),
  0xd1f: ('PALData', 'PAL programmer fuse image'),
  0xd1e: ('DiscDump', 'Investigator2 dump'),
  0xd1d: ('Labels', 'LabelMaster+'),
  0xd1c: ('ArcScan', 'ArcScan bibliographic database'),
  0xd1b: ('Frame', ''),
  0xd1a: ('Grid', ''),
  0xd19: ('Menu', '!Menu Waiter'),
  0xd18: ('Quest', 'Quest'),
  0xd17: ('CmunITel', 'CommunITelFrame'),
  0xd16: ('Mode7', '1K mode 7 screen image'),
  0xd15: ('MitLnkDf', 'Front linker driver'),
  0xd14: ('MitMak', 'CFront MakeFile'),
  0xd13: ('Batch', ''),
  0xd12: ('DBRiscOS', ''),
  0xd11: ('Pointers', ''),
  0xd10: ('SatPict', ''),
  0xd0c: ('1WPDict', 'First Word Plus spelling dictionary'),
  0xd0b: ('1WPCfg', 'First Word Plus printer configuration'),
  0xd09: ('Action', 'Tween action'),
  0xd08: ('Genesis', 'Genesis script'),
  0xd07: ('Genesis', 'Genesis button'),
  0xd01: ('EasiDoc', 'EasiWriter'),
  0xd00: ('EasiPad', 'EasiWriter'),
  0xcff: ('EasiDict', 'EasiWriter'),
  0xcf9: ('TWScript', 'TwEdit'),
  0xcf8: ('Alps', 'ALPS (Alpine Software)'),
  0xcf7: ('Schema', 'CadMust PCB Schematic'),
  0xcf6: ('PCB', 'CadMust PCB'),
  0xcf3: ('Standings', 'Chequered Flag'),
  0xcf2: ('Circuit', 'Chequered Flag'),
  0xcf1: ('Champ’s', 'Chequered Flag'),
  0xcf0: ('Standings', 'Chequered Flag'),
  0xced: ('WCADFile', 'Worra CAD'),
  0xceb: ('KiddiCAD', 'Kiddi CAD'),
  0xcea: ('WorraCAD', 'Worra CAD'),
  0xce9: ('KeyAuth', 'Key Plus'),
  0xce8: ('KeyFile', 'Key Plus'),
  0xce7: ('KeyCalc', 'Key Plus'),
  0xce6: ('KeyMap', 'Key Plus'),
  0xce5: ('TeX', 'TeX source'),
  0xce4: ('DVI', 'DVI, (TeX) output'),
  0xce2: ('Tripfile', ''),
  0xcdd: ('Ovation', 'Ovation DTP document'),
  0xcdc: ('OvnStyle', 'Ovation DTP style sheet'),
  0xcd5: ('Tabs', ''),
  0xcd3: ('Quick Art / High Art', ''),
  0xcd2: ('FilmPath', ''),
  0xccf: ('LotusPic', 'Lotus picture'),
  0xccd: ('WaveLength', ''),
  0xccc: ('DietSprite', ''),
  0xcc7: ('DToWord', 'DesktopOffice'),
  0xcc6: ('DToSheet', 'DesktopOffice wordprocessor'),
  0xcc5: ('TeqMusic', 'Music track. Same format as &701'),
  0xcc3: ('Poster', 'Poster File'),
  0xcc2: ('SnapShot', 'SnapShot colour digitiser, (enhanced?) image'),
  0xcc1: ('Image', 'ArcImage'),
  0xcbf: ('Or_Setup', '!Orrery'),
  0xcba: ('Karma', '!Karma saved game'),
  0xcb9: ('Perform', ''),
  0xcb8: ('7Script', 'ArcTerm7 command script'),
  0xcb7: ('7BatCfg', 'ArcTerm7 batch or configuration'),
  0xcb6: ('ArcTrack', ''),
  0xcb5: ('STSample', 'STracker SoundTracker sample'),
  0xcb4: ('C64_Musi', 'C64 music track'),
  0xcb2: ('PDTMovie', 'Parametric Design Tool movie'),
  0xcb1: ('PDT Snap', 'Parametric Design Tool picture'),
  0xcb0: ('PDT Cfg', 'Parametric Design Tool configuration'),
  0xcaf: ('IGES', 'Industry standard graphics'),
  0xcae: ('HPGLPlot', 'Hewlett-Packard Graphics Language drawing'),
  0xcad: ('PDT Dwg', 'Parametric Design Tool drawing'),
  0xcac: ('Document', 'Dekstop Folio document'),
  0xcab: ('Paper', 'Desktop Folio paper'),
  0xca7: ('Concept', ''),
  0xca6: ('Vector', 'Illusionist Vector'),
  0xca5: ('Sweep', 'Illusionist Sweep'),
  0xca3: ('PK', 'TeX font bitmaps (compressed)'),
  0xca2: ('GF', 'TeX font bitmaps (uncompressed)'),
  0xca1: ('TFM', 'TeX font metrics'),
  0xca0: ('Metafont', 'Metafont source'),
  0xc99: ('Binder', 'Magpie Binder'),
  0xc8b: ('JoyStick', 'Joystick'),
  0xc8a: ('Palette+', 'PCATs Palette Plus'),
  0xc89: ('Personal accounts', ''),
  0xc88: ('AldeComm', 'Aldebaran (Evolution Trading)'),
  0xc87: ('EliteCom', '!Elite commander saved game'),
  0xc86: ('OCRData', ''),
  0xc85: ('JPEG', 'JPEG compressed picture'),
  0xc84: ('Overlay', ''),
  0xc83: ('CKOver', ''),
  0xc82: ('Sequence', ''),
  0xc7f: ('Titler', ''),
  0xc7e: ('Database', ''),
  0xc7d: ('SID', 'Spreadsheet Interchange Data'),
  0xc7b: ('PhoneNum', '!Grapevine phone number database including terminal type & key definitions'),
  0xc7a: ('LcadDRAW', '!LinCAD'),
  0xc76: ('Squashed', ''),
  0xc75: ('Sound', ''),
  0xc74: ('Sound', 'ExSound'),
  0xc73: ('RawMusic', 'ALPS'),
  0xc70: ('LcadBLOCK', '!LinCAD'),
  0xc6d: ('Pinpoint?', 'Pinpoint'),
  0xc6c: ('PinPoint', 'Pinpoint'),
  0xc6b: ('NootBook', '!Noot animation workbook'),
  0xc6a: ('smArt', ''),
  0xc62: ('DeskEdit', 'DeskEdit printer options'),
  0xc5a: ('Master', 'Modified Replay video and audio'),
  0xc59: ('Log', 'Text file describing edited video and audio segments'),
  0xc58: ('Ideas', ''),
  0xc57: ('Notate', 'Notate music'),
  0xc56: ('VecFile', 'Vector'),
  0xc55: ('DrumSeq', 'Drum sequence'),
  0xc4e: ('GTi', ''),
  0xc4d: ('Battle', 'Dreadnoughts save game'),
  0xc4b: ('CmprDraw', 'Compressed draw file (or DrwC)'),
  0xc48: ('MIDITrck', 'Related to FD4?'),
  0xc46: ('MIDITrak?', 'MIDIJuke'),
  0xc43: ('ChartOpt', 'ChartWell ChartOpt File'),
  0xc3c: ('Shape', ''),
  0xc3b: ('FST', ''),
  0xc37: ('EurSheet', 'Eureka spreadsheet'),
  0xc36: ('SFXSheet', ''),
  0xc35: ('CorlDraw', 'Corel Draw drawing'),
  0xc33: ('CADfile', ''),
  0xc32: ('RTF', 'Rich Text Format'),
  0xc2e: ('EurMacro', '!Eureka'),
  0xc2d: ('EurChart', '!Eureka'),
  0xc2a: ('SignGfx', ''),
  0xc29: ('DP tmplt', 'DataPower template'),
  0xc28: ('Graph', 'DataPower graph'),
  0xc27: ('Database', 'DataPower database'),
  0xc26: ('ASheet', ''),
  0xc25: ('AWord', ''),
  0xc24: ('Architech', ''),
  0xc23: ('Plot', ''),
  0xc21: ('WX-Task', '!WeatherDX'),
  0xc1f: ('HoledOut', 'Holed Out golf game'),
  0xc1e: ('FwkzCmd', 'Fireworkz commands'),
  0xc1d: ('FwrkzTem', 'Fireworkz template'),
  0xc1c: ('Wordz', 'Fireworkz (word processing)'),
  0xc1b: ('KOPoint', ''),
  0xc1a: ('Subject', ''),
  0xc19: ('Stencil', 'Talking Pictures, The Spoken Word'),
  0xc14: ('S-Data', '!S-base database'),
  0xc13: ('ANGLDATA', ''),
  0xc10: ('APAPos', ''),
  0xc0f: ('BookPos', ''),
  0xc0d: ('Molecule', '!Modeller'),
  0xc0c: ('SMacro', ''),
  0xc05: ('Ultra', 'Ultra Tracker music track'),
  0xc04: ('ImpTrack', 'Impulse Tracker music track'),
  0xc03: ('FastTrak', 'Fast Tracker music track'),
  0xc02: ('ScrmTrak', 'Scream Tracker music track'),
  0xc01: ('Central heating calculator', ''),
  0xc00: ('Rhapsody', 'Rhapsody score'),
  0xbff: ('Map', ''),
  0xbf8: ('MPEG', 'MPEG video'),
  0xbf7: ('RIFF', 'General RIFF – chunked IBM PC multimedia format'),
  0xbee: ('Splosh', ''),
  0xbed: ('FontDisc', ''),
  0xbe9: ('SWorkSp', ''),
  0xbe8: ('DAsPict', ''),
  0xbe1: ('Resultz', 'Fireworkz (spreadsheet)'),
  0xbe0: ('Recordz', 'Fireworkz Pro database container'),
  0xbdf: ('Firewrkz', 'Fireworkz document'),
  0xbda: ('Disc', 'Acorn Access+'),
  0xbd9: ('DiscP', 'Acorn Access+'),
  0xbd8: ('MacForks', 'Mac HFS forked file'),
  0xbd7: ('HyprDict', 'Help document'),
  0xbd6: ('Audiowrk', 'Sound sample'),
  0xbd5: ('Envelope', ''),
  0xbd1: ('Rephorm', ''),
  0xbd0: ('PhotoBase', ''),
  0xbcf: ('TblMate', ''),
  0xbcb: ('Lexicon', ''),
  0xbc9: ('PrimeSlv', ''),
  0xbc5: ('ImpDoc', 'Impression single file document'),
  0xbc4: ('PremGame', 'Premier Manager (Gremlin Graphics)'),
  0xbc2: ('PresMgrIm', 'IBM OS2 Presentation Manager image'),
  0xbbd: ('BBC Data', 'BBC Micro datafile'),
  0xbbc: ('BBC ROM', 'BBC micro ROM'),
  0xbb1: ('PhotoBase', ''),
  0xbb0: ('BibleNts', ''),
  0xbaf: ('MacDisc', 'Mac HFS disc image'),
  0xba6: ('Excel', 'Excel Spreadsheet'),
  0xba1: ('SNA', '!Z80Em ZX Spectrum emulator snapshot'),
  0xba0: ('Z80', '!Z80Em ZX Spectrum emulator snapshot'),
  0xb9f: ('FLI', 'Video (also 301)'),
  0xb9e: ('Verstile', 'Tiling drawfile'),
  0xb9b: ('DBasic', ''),
  0xb9a: ('DBasLib', ''),
  0xb95: ('WimpBasic', 'WimpBasic design files'),
  0xb8c: ('Split', 'Part of a multi-part file'),
  0xb8b: ('TextEase', 'TextEase document'),
  0xb8a: ('TxtEaseT', 'TextEase document template'),
  0xb80: ('Slthzone', ''),
  0xb7d: ('TableCalc', ''),
  0xb7c: ('LifeForm', 'MacroLife Lifeform'),
  0xb7b: ('Life', 'MacroLife Life plane'),
  0xb78: ('MIDIWrks', 'MidiWorks score'),
  0xb72: ('Gamma', 'Gamma correction data'),
  0xb6f: ('WTModule', 'Wacky-Talky module'),
  0xb6e: ('AddrList', 'Desktop Hacker address list'),
  0xb6a: ('Illusion', 'Illusions Disk Magazine'),
  0xb69: ('MMaker', 'Music Maker 1 music file'),
  0xb64: ('C64_Info', 'C64 music info'),
  0xb62: ('Gopher', 'Gopher command'),
  0xb61: ('XBitMap', 'X window bitmap image'),
  0xb60: ('PNG', 'Portable Network Graphics image'),
  0xb5c: ('3DModel', '!TopModel object'),
  0xb59: ('Page', 'Bookmaker page file'),
  0xb57: ('MyBook', 'Bookmaker book file'),
  0xb56: ('BubStyle', 'Bubble Help style'),
  0xb54: ('SOS', ''),
  0xb50: ('RGSCOpts', 'Choices for Picture Book 2 etc'),
  0xb4f: ('Alphabet', 'Picture Book 2 Alphabet'),
  0xb3d: ('PagesTmp', 'TextEase'),
  0xb3c: ('Pages', 'TextEase pages'),
  0xb3b: ('SpellBnk', '!Spellbank user dictionary'),
  0xb3a: ('SpellFrq', 'Words which have been looked up in !Spellbank'),
  0xb31: ('FuzzySht?', 'FuzzySheet'),
  0xb30: ('FuzzySht', 'FuzzySheet'),
  0xb2f: ('WinMeta', 'WMF'),
  0xb2e: ('CorelXch', 'Corel Exchange drawing'),
  0xb2d: ('AdobeIll', 'Adobe Illustrator drawing'),
  0xb2c: ('OS2Met', 'OS2 Metafile'),
  0xb2b: ('CGMeta', 'CGM image'),
  0xb2a: ('DaVinci', ''),
  0xb29: ('VRML', 'Virtual Reality Modeling Language'),
  0xb28: ('URL', 'Uniform Resource Locator'),
  0xb27: ('OvnPro', 'Ovation Pro document'),
  0xb26: ('OVPStyle', 'Ovation Pro style sheet'),
  0xb25: ('OVPDDL', 'Ovation Pro document description'),
  0xb24: ('OVPScrpt', 'Ovation Pro script'),
  0xb23: ('X-File', 'Directory image'),
  0xb22: ('DFSImage', '!ImageDFS Image filing system for 5.25 DFS Disc Images"'),
  0xb21: ('TBAFSarc', 'TBA Archive'),
  0xb1e: ('PsionPIC', 'Psion picture'),
  0xb16: ('ProOrder', ''),
  0xb12: ('TTXpage', 'Teletext+ page'),
  0xb11: ('TTXscrpt', 'Teletext+ script file'),
  0xb0f: ('CasetDATA', ''),
  0xb09: ('ImageMap', ''),
  0xb02: ('Meta', 'MidiWorks Meta Event'),
  0xaff: ('DrawFile', ''),
  0xafe: ('Mouse', 'Mouse event record'),
  0xafd: ('GCAL', 'GCAL source, (text)'),
  0xafc: ('GCODE', 'GCODE intermediate'),
  0xafb: ('PhonePad', ''),
  0xafa: ('DtpStyle', 'Acorn DTP style sheet'),
  0xaf9: ('DtpDoc', 'Acorn DTP document'),
  0xaf8: ('1stWord+', 'First Word Plus document'),
  0xaf7: ('HelpInfo', 'Interactive help'),
  0xaf6: ('SimTrace', 'ASim trace'),
  0xaf5: ('PostData', 'Econet mail setup'),
  0xaf4: ('PostFile', 'Econet mail filed'),
  0xaf3: ('PostBox', 'Econet mail postbox'),
  0xaf2: ('PostTray', 'Econet mail in-tray'),
  0xaf1: ('Music', '!Maestro music'),
  0xaf0: ('ARCWrite', 'ArcWriter'),
  0xaef: ('Sheet', ''),
  0xaee: ('SheetWS', 'Schema macro'),
  0xaed: ('SheetMac', 'Schema configure'),
  0xaec: ('DBFile', ''),
  0xaeb: ('DBReport', ''),
  0xaea: ('DBChart', ''),
  0xae9: ('Alarms', 'Alarm times'),
  0xae8: ('SaveGame', 'Saved game'),
  0xae7: ('ARMovie', 'Video'),
  0xae6: ('MSWord', 'Word processor document'),
  0xae4: ('Java', 'Java application'),
  0xae3: ('Director', 'Animation'),
  0xae1: ('IndexFile', ''),
  0xadf: ('PDF', 'Portable Document Format'),
  0xade: ('Safe', ''),
  0xadc: ('DisCat', ''),
  0xadb: ('New Font', 'Outline Font'),
  0xada: ('Package', ''),
  0xad8: ('PsiMBM', 'Psion Series 5'),
  0xad1: ('HQ-Inst', ''),
  0xacf: ('QTM', 'Music tracker. Does not seem to be used in latest QTM'),
  0xace: ('Wavelength', ''),
  0xacc: ('ISO-9660', 'CD image'),
  0xaca: ('LaTeX', 'LaTeX source (industry standard)'),
  0xac9: ('VF', 'TeX virtual font'),
  0xac4: ('H2Map', 'Heroes of Might and Magic 2 (R-Comp Interactive)'),
  0xac3: ('H2MapX', 'Heroes of Might and Magic 2 (R-Comp Interactive)'),
  0xabf: ('Cabinet', 'Archive'),
  0xabb: ('PlugIn', 'Cerilica Vantage Extension'),
  0xaba: ('CPIO', 'Archive'),
  0xab9: ('Monitor', 'Cerilica Monitor Calibration'),
  0xab7: ('PPD', 'PostScript Printer Definition'),
  0xaad: ('SVG', 'Scalable Vector Graphics drawing'),
  0xaac: ('DialUp', ''),
  0xaab: ('DialAcc', ''),
  0xaaa: ('Compdraw', ''),
  0xaa8: ('pls', 'SHOUTcast internet radio playlist'),
  0xaa7: ('M3UFile', 'WinAmp mp3 URL list'),
  0xaa6: ('TaskApp', 'Absolute in a TaskWindow'),
  0xaa5: ('TskBasic', 'BASIC in a TaskWindow'),
  0xaa0: ('MultiPlt', 'Graph data'),
  0xa9f: ('GraphDrw', 'Graph data'),
  0xa9e: ('ChartDrw', 'Chart data'),
  0xa9d: ('KeyTops', 'Keyboard definition'),
  0xa91: ('Zip', 'Zip archive'),
  0xa8f: ('AC3Audio', 'AC3 raw audio'),
  0xa8d: ('VOB', 'MPEG DVD video'),
  0xa81: ('ODT', ''),
  0xa7f: ('MSExcelX', 'Microsoft Excel document'),
  0xa7e: ('MSWordX', 'Microsoft Word document'),
  0xa79: ('CUE', 'CDROM image CUE file'),
  0xa78: ('FzDraw', 'Drawfile-packaged Fireworkz document'),
  0xa77: ('PDChart', 'Drawfile-packaged PipeDream chart'),
  0xa76: ('EPUB', 'Electronic publication'),
  0xa70: ('SQLiteDB', 'SQLite database'),
  0xa6f: ('AnqExp', 'Anquet Export Format'),
  0xa66: ('WebP', ''),
  0xa65: ('JPEG2000', ''),
  0xa64: ('MP4', ''),
  0xa63: ('MKV', ''),
  0xa61: ('QOI', 'Quite OK Image'),
  0xa06: ('Perl', 'Perl script (also 102)'),
  0xa05: ('WHelp', ''),
  0x9fb: ('Basalt', 'BASIC program translated to run using Basalt'),
  0x9f8: ('HD_BackJ', ''),
  0x9f0: ('Money', 'Never circulated'),
  0x9eb: ('Index', 'No longer used'),
  0x999: ('Spectrum', ''),
  0x907: ('Goop', 'Scores for Goop game'),
  0x900: ('Universal', ''),
  0x8ff: ('DisasMap', 'Disassembler'),
  0x81c: ('ICM', 'ICC Colour Profile'),
  0x815: ('SKoords', ''),
  0x810: ('DrawLib', 'Draw Library'),
  0x80c: ('StatPad', 'Uniform stationary pad'),
  0x80b: ('VideoTex', 'Uniform Videotex'),
  0x80a: ('DBForm', 'Uniform database form'),
  0x809: ('DataBase', 'Uniform database'),
  0x808: ('EPS', '!EPSobject'),
  0x807: ('GrphChrt', 'Uniform graphs & charts'),
  0x806: ('Graphics', 'Uniform graphics'),
  0x805: ('Drawing', 'Uniform drawing'),
  0x804: ('Picture', 'Uniform picture'),
  0x803: ('Spreadsh', 'Uniform spreadsheet'),
  0x802: ('UnifText', 'Uniform text only'),
  0x801: ('Wordproc', 'Uniform wordprocessor'),
  0x800: ('Inlay', 'Tape inlay'),
  0x7ff: ('Flare', ''),
  0x7fe: ('CMOS', 'Cmos_Edit saved CMOS RAM'),
  0x7fd: ('Encoded', ''),
  0x7f6: ('MultPlot', ''),
  0x7f5: ('PwrBase', ''),
  0x7f4: ('PwrBase', ''),
  0x7f3: ('PwrBase', ''),
  0x7f2: ('KeyStrip', 'Key strip'),
  0x7f1: ('ChrtFile', 'ChartDraw'),
  0x7f0: ('CaveData', '!Betts source data file'),
  0x7ef: ('MailFile', 'Mail browser'),
  0x7dc: ('HelpFile', 'PowerBase help'),
  0x7b7: ('ST Song', 'Soundtracker'),
  0x7b4: ('IFF Samp', 'Same as FC2'),
  0x7b3: ('ST Patt', 'Soundtracker'),
  0x7af: ('Pointer', ''),
  0x7a3: ('DCatFile', 'Disc catalogue'),
  0x7a0: ('Timestep', 'TimeStep satellite image'),
  0x787: ('SysEx', ''),
  0x77f: ('HypHelp', ''),
  0x77e: ('CmpHHlp', ''),
  0x77d: ('HHBookM', ''),
  0x777: ('GraphDat', 'Graph'),
  0x770: ('MIDISysX', 'Raw MIDI System Exclusive data (first byte = &F0, last byte = &F7)'),
  0x750: ('Diction', 'Articulate'),
  0x745: ('WireWorld', ''),
  0x744: ('CoreWars', 'Core Wars'),
  0x733: ('FracTrace', ''),
  0x725: ('extASM', 'Assembler source'),
  0x721: ('HP11_Prog', ''),
  0x720: ('CardFile', 'CardIndex database'),
  0x711: ('TaskList', 'StartTask task list'),
  0x710: ('!Packer', ''),
  0x70a: ('WeathrYr', 'WeatherYear'),
  0x707: ('DDF', ''),
  0x703: ('Speculatr', ''),
  0x702: ('DissMdle', '!Dissi Module file'),
  0x701: ('Archway2', ''),
  0x700: ('Album', 'Album'),
  0x6ff: ('MbrotPar', 'Mandel 4'),
  0x6b4: ('TTFile', 'LTGame (never circulated)'),
  0x6b3: ('JnyFile', 'LTGame (never circulated)'),
  0x6b2: ('ArryFile', 'LTGame (never circulated)'),
  0x6b1: ('DataFile', 'LTGame (never circulated)'),
  0x6a6: ('WPGraphic', 'WordPerfect Graphic'),
  0x6a5: ('CUR', 'Windows 3.0 cursor definition'),
  0x6a4: ('HawkV9', 'Wild Vision Hawk V9 digitiser'),
  0x6a3: ('FITS', 'Flexible Image Transport System image'),
  0x6a2: ('ColoRIX', 'RIX Softworks image'),
  0x6a1: ('RLE', 'Unix RLE image'),
  0x6a0: ('MSX2', 'MSX-2 image'),
  0x69f: ('ZVDA', 'Zeridajh video digitiser animation'),
  0x69e: ('PBMPlus', 'Portable Bit Map Plus toolkit/portable pixmap'),
  0x69d: ('Targa', 'Truevision Targa'),
  0x69c: ('BMP', 'MS Windows bitmap'),
  0x69b: ('Irlam', 'Irlam Instruments scanner image'),
  0x69a: ('CadSoft', 'Prisma'),
  0x699: ('MTV', 'MTV ray tracer picture'),
  0x698: ('QRT', 'uick Ray Tracer picture'),
  0x697: ('PCX', 'PCX picture'),
  0x696: ('Pineappl', 'Pineapple digitised colour image'),
  0x695: ('GIF', 'Graphics Interchange Format'),
  0x694: ('MacPaint', 'Macintosh MacPaint bitmap'),
  0x693: ('AmigaIFF', 'Amiga IFF (ILBM)'),
  0x692: ('Img', 'Atari IMG image'),
  0x691: ('Degas', 'Atari Degas image PI1,PI2,PI3,PC1,PC2,PC3'),
  0x690: ('Clear', 'Clear image'),
  0x68e: ('PackdDir', 'Packdir compressed archive'),
  0x681: ('NDX', ''),
  0x680: ('DBaseIV', 'Database'),
  0x666: ('AmazeLev', ''),
  0x664: ('Song', 'Music track'),
  0x657: ('BreederCA', ''),
  0x656: ('?', 'Inspiration'),
  0x655: ('?', 'Inspiration'),
  0x654: ('?', 'Inspiration'),
  0x653: ('?', 'Inspiration'),
  0x652: ('?', 'Inspiration'),
  0x651: ('?', 'Inspiration'),
  0x639: ('XMFSprite', 'XMF painting sprite'),
  0x635: ('Harmonica', ''),
  0x634: ('Effex', ''),
  0x633: ('RawSampl', ''),
  0x632: ('RIFFwave', 'SoundCon sound sample —> FB1'),
  0x631: ('LogSampl', ''),
  0x604: ('NetWork', ''),
  0x601: ('CCIR601', '720×288 or 720×243 YUV picture'),
  0x600: ('LoggaLog', ''),
  0x5ff: ('OnHand', 'On Hand'),
  0x5fe: ('Flood?', 'Flood game saved levels'),
  0x5f4: ('Fractal', ''),
  0x5c4: ('Sculptor?', ''),
  0x5c2: ('Sculptor?', ''),
  0x5c1: ('Sculptor?', ''),
  0x5c0: ('Sculptor', ''),
  0x560: ('DrghtsGame', ''),
  0x556: ('Archrome', ''),
  0x555: ('DiskBase', 'DiskBase'),
  0x554: ('3View', ''),
  0x553: ('DrawLib', 'Vector object library'),
  0x550: ('Musix', ''),
  0x54f: ('Delta', 'Delta film'),
  0x515: ('AMFEdit16', ''),
  0x510: ('STracker', 'Music track'),
  0x500: ('World', 'WorldScape Save Game'),
  0x4ff: ('QGraphx', 'QGraphics'),
  0x4dd: ('DAs_Pict', ''),
  0x4bd: ('PolySaw', ''),
  0x4ad: ('PhonePad', 'PhonePad'),
  0x474: ('Sticky', '!Sticky backdrop'),
  0x450: ('Configs', ''),
  0x449: ('G_Proj', 'Project for Mark Jones’s Haskell dialect'),
  0x448: ('G_Script', 'Script for Mark Jones’s Haskell dialect'),
  0x444: ('STScript', ''),
  0x43b: ('Scroll_W', 'Archway2'),
  0x439: ('Menu_W', 'Archway2'),
  0x437: ('View_W', 'Archway2'),
  0x435: ('Tools_W', 'Archway2'),
  0x433: ('Dialog_W', 'Archway2'),
  0x431: ('Form_W', 'Archway2'),
  0x42f: ('DisplayW', 'Archway2'),
  0x425: ('PDTSetup', ''),
  0x422: ('Fonts', 'Archway2'),
  0x420: ('Custom', 'Archway2'),
  0x419: ('Options', 'Copy/Wipe Filer options'),
  0x418: ('VStrings', 'Archway2'),
  0x416: ('Messages', 'Archway2'),
  0x414: ('WClasses', 'Archway2'),
  0x413: ('SpoolBuf', ''),
  0x412: ('IClasses', 'Archway2'),
  0x411: ('EncPS', ''),
  0x410: ('AlphaBase', ''),
  0x40e: ('CharSets', 'Archway2'),
  0x40d: ('TempestDTP', 'Tempest DTP'),
  0x40c: ('TempestDTP', 'Tempest DTP'),
  0x40b: ('DTPFlow', 'Tempest DTP'),
  0x40a: ('FillPats', 'Archway2'),
  0x409: ('DTPStylesht Tempest DTP', ''),
  0x408: ('Pointers', 'Archway2'),
  0x407: ('Label', ''),
  0x406: ('Key', 'Archway2'),
  0x405: ('TempstDTP', 'Tempest DTP'),
  0x404: ('GWMulti', 'GraphicWriter'),
  0x403: ('GWVDU', 'GraphicWriter'),
  0x402: ('GwMaster', 'GraphicWriter Menus'),
  0x401: ('GWGraph', 'GraphicWriter'),
  0x400: ('LifeGuard', ''),
  0x3fb: ('ArcFSArc', '!ArcFS archive'),
  0x3f8: ('FontMGR', ''),
  0x3f7: ('GamePos', ''),
  0x3f2: ('ArmSI', 'ARM speed indicator'),
  0x3f1: ('MemDisc', ''),
  0x3ed: ('FreVocab', ''),
  0x3eb: ('Liberatr', 'Liberator talker memory dump'),
  0x3e2: ('VistTune', 'Vistamusic Tune'),
  0x3e0: ('HQ-Data', ''),
  0x3dc: ('ARJArc', 'ARJview'),
  0x3d6: ('StrngHlp', 'StrongHelp help image'),
  0x3c7: ('FEMSFile', ''),
  0x3c1: ('TwEffect', ''),
  0x3bf: ('ArcFS', '!ArcFS archive'),
  0x3b8: ('MLCS', ''),
  0x380: ('HBScript', 'Backup'),
  0x371: ('RayShade', 'ditto'),
  0x365: ('CocoTrak', ''),
  0x364: ('CocoSong', ''),
  0x360: ('SlideShow', 'SlideShow sequence'),
  0x351: ('Sequence', ''),
  0x350: ('Squished', ''),
  0x345: ('FaxText', ''),
  0x333: ('Patience', ''),
  0x326: ('BackOpts', ''),
  0x325: ('PDTSetup', ''),
  0x321: ('Menus', 'Menu designer'),
  0x31b: ('DXen', 'Music track'),
  0x309: ('OrdSheet', ''),
  0x301: ('FLI', 'use B9F'),
  0x300: ('TimeStep', 'Satellite image'),
  0x2ff: ('SciGraph', ''),
  0x2f8: ('Z80 MOS', '!Z80Tube MOS'),
  0x2df: ('D2Font', 'Draw2Font file'),
  0x2bf: ('Tile_F', ''),
  0x2be: ('Embrdr_F', ''),
  0x2bd: ('Stitch_F', ''),
  0x2bc: ('Patt_F', ''),
  0x2b8: ('WTpattrn', ''),
  0x2b4: ('Squeezed', ''),
  0x2b3: ('Squeezed', ''),
  0x2b2: ('Jigsaw', ''),
  0x2b0: ('Jigsaw', ''),
  0x297: ('Comprssd', ''),
  0x28a: ('Edit+', '!Edit+'),
  0x289: ('P Z88', 'Printed'),
  0x288: ('N Z88', 'Normal Z88'),
  0x280: ('Z80', '!Z80Tube general Z80 snapshot'),
  0x259: ('Server', 'Server side image map'),
  0x258: ('Dancer', ''),
  0x234: ('Thoughts', ''),
  0x230: ('Ghostly', 'Haunted House (The Fourth Dimension)'),
  0x226: ('CompFile', ''),
  0x225: ('VGGame', ''),
  0x224: ('VGStatus', ''),
  0x223: ('CompHole', ''),
  0x222: ('DateMarker', ''),
  0x214: ('WolfData', 'Wolfenstein 3-D data file'),
  0x204: ('Typeface', 'Italicer Typeface'),
  0x202: ('Song', 'Mascom2'),
  0x201: ('Z80 COM', '!Z80Tube .COM file'),
  0x200: ('GraphSrc', ''),
  0x1ff: ('Tiger', ''),
  0x1f1: ('Tiles', ''),
  0x1ec: ('Crypt', 'Crypt'),
  0x1e4: ('SeasonSG', 'Saved game'),
  0x1e3: ('GPX', 'Route data e.g. GPS'),
  0x1df: ('Objects', ''),
  0x1da: ('GPIOConf', 'GPIO configuration data'),
  0x1d9: ('Syncjob', 'Synnchronisation details'),
  0x1d8: ('PrintPDF', 'Bookmark and hotspot data for the PrintPDF application'),
  0x1d5: ('?', ''),
  0x1cf: ('FLAC', 'Free Lossless Audio Codec'),
  0x1ca: ('HotKeys', ''),
  0x1c8: ('Symlink', 'Symbolic link'),
  0x1c7: ('Basic8', 'Tokenised BBC BASIC in Z80/80×86/Windows format, also known as “Russell format”'),
  0x1c6: ('32016', '32016 code'),
  0x1c5: ('PDP-11', 'PDP-11 code'),
  0x1c1: ('JSW_Data', 'Jet Set Willy room, scenery, or animation'),
  0x1c0: ('JSW_Game', 'Jet Set Willy Game file'),
  0x1bc: ('Imagen', ''),
  0x1b9: ('TZX', 'Advanced Tape file format for use with spectrum emulators'),
  0x1b8: ('VOC', 'Standard .VOC file format'),
  0x1b7: ('ArmBob', 'Filetype for ArmBob files'),
  0x1b5: ('DirSync', 'DirSync project file'),
  0x1b1: ('PCTk', 'Generic PC music track'),
  0x1b0: ('ScreamTk', 'ScreamTracker music track'),
  0x1af: ('FstTk', 'FastTracker2 music track'),
  0x1ae: ('ImpulsTk', 'ImpulseTracker music track'),
  0x1ad: ('Protector', ''),
  0x1ac: ('Project', ''),
  0x1ab: ('Address', 'Address book'),
  0x1aa: ('CSSC', 'CSSC'),
  0x1a8: ('Vorbis', 'Ogg Vorbis audio'),
  0x1a1: ('Locate', 'Search definitions/results for Locate file-finder'),
  0x1a0: ('TSAC', ''),
  0x199: ('Encoded1', ''),
  0x198: ('Encoded2', ''),
  0x18d: ('TaskLua', 'lua script or compiled object in a TaskWindow'),
  0x18c: ('Lua', 'lua script or compiled object file'),
  0x188: ('Flash', 'Macromedia flash file'),
  0x187: ('awk', 'awk scrip'),
  0x180: ('Mail', 'TransArc'),
  0x17f: ('VideoLst', 'Video database'),
  0x17c: ('Quetzal', ''),
  0x17b: ('Blorb', ''),
  0x172: ('Copier172', ''),
  0x16d: ('Organizer', 'Addresses, appointments and alarms'),
  0x16c: ('DoomWad', 'Doom Iwad/Pwad'),
  0x164: ('Copier164', ''),
  0x160: ('Copier160', ''),
  0x15c: ('PsiAgnda', 'Psion Series 5/7 diary'),
  0x15b: ('PsiData', 'Psion Series 5/7 database'),
  0x15a: ('PsiOPL', 'Psion Series 5/7 program'),
  0x159: ('PsiRecrd', 'Psion Series 5/7 audio'),
  0x158: ('PlylstCD', ''),
  0x157: ('PsiSheet', 'Psion Series 5/7 spreadsheet'),
  0x156: ('Squished', ''),
  0x155: ('FileList', 'Playlist'),
  0x154: ('SR2000', ''),
  0x153: ('Cabri', '!Cabriolet (dynamic geometry)'),
  0x152: ('PolyData', 'Polyhedron definitions for !PolyDraw, !PolyNet'),
  0x144: ('Copier144', ''),
  0x13d: ('TankSave', 'T.A.N.K.S. (Werewolf Software)'),
  0x13c: ('JFPatch', 'Assembler patch file'),
  0x139: ('3DScene', ''),
  0x138: ('MapprMap', '!Mapper_O 2D map with overlays'),
  0x132: ('ICO', 'Windows 3.0 icon collection'),
  0x130: ('AntiGrav', ''),
  0x12b: ('RasMolSc', ''),
  0x12a: ('PDB', ''),
  0x129: ('Alchemy', ''),
  0x128: ('Pifile', ''),
  0x127: ('MOPAC', ''),
  0x123: ('Creator', ''),
  0x122: ('Genetic', 'Genetic Algorithm data'),
  0x120: ('ANSI', 'Ansi2Text'),
  0x11d: ('TAP', 'Compressed 1-bit sound for emulators'),
  0x11a: ('Z-Code', 'Infocom adventure game'),
  0x118: ('Angband', 'Angband saved game file'),
  0x116: ('DemoMolec', ''),
  0x113: ('Proj Man', ''),
  0x112: ('Teletext', 'Teletext frame dump'),
  0x111: ('RSDOS', 'RS DOS'),
  0x110: ('RLaB', ''),
  0x10f: ('CLIcon', ''),
  0x10c: ('Keyboard', ''),
  0x10b: ('Symphony', ''),
  0x10a: ('SySample', ''),
  0x109: ('Glazier', ''),
  0x108: ('DataVox', 'SysBeep sound file with internal chunk structure'),
  0x107: ('OreDBase', 'Oregan Database – Archivist Pro'),
  0x103: ('UniMode', 'VIDC regs and ModeVariables'),
  0x102: ('SpellDict', ''),
  0x101: ('Phone', ''),
  0x100: ('BackDrop', ''),
  0x0ff: ('Used', 'File marked as used'),
  0x0fe: ('Psion', 'Psion Organiser II file'),
  0x0fd: ('Z88Link archives', ''),
  0x0fc: ('Ray3d', ''),
  0x0fb: ('RayLib', ''),
  0x0fa: ('RayMacro', ''),
  0x0f8: ('MPEG', 'Video'),
  0x0f5: ('EPSI', 'Encapsulated PostScript with Thumbnail'),
  0x0ed: ('SprColor', 'Compact colour palette'),
  0x0e3: ('SSSheet', ''),
  0x0de: ('BackMenu', 'BackMenu'),
  0x0dc: ('Keystrip', ''),
  0x0d8: ('GBSnap', 'Gameboy emulator snapshot'),
  0x0d7: ('Gameboy', 'Gameboy emulator ROM-image'),
  0x0d1: ('AddrList', ''),
  0x0cf: ('Options', ''),
  0x0ce: ('CDData', ''),
  0x0cd: ('CDTrack', ''),
  0x0cc: ('HellFile', ''),
  0x0ca: ('Calendar', 'Appointments'),
  0x0c8: ('Pi', 'Anime picture'),
  0x0c6: ('Pic', 'Anime picture'),
  0x0c5: ('ECC Anim', 'Anime picture'),
  0x0c4: ('MAG', 'Anime picture'),
  0x0bc: ('PCRun', 'PC application startup'),
  0x0bb: ('MegaBoard', ''),
  0x0ba: ('TaskBAS', 'BASIC in a taskwindow (use AA5)'),
  0x0b2: ('SoftList', ''),
  0x0ad: ('Split', 'Subsection of large file'),
  0x0ac: ('DiscBox', ''),
  0x0ab: ('PPPTrack', ''),
  0x0aa: ('Indexer', ''),
  0x099: ('Puzzle', ''),
  0x084: ('PIC16C84', 'Mike Cook’s PIC Programmer'),
  0x083: ('TauStyle', 'Tau'),
  0x082: ('TauFile', 'Tau'),
  0x07f: ('OTF Font', 'OpenType font'),
  0x077: ('FTPc', ''),
  0x073: ('Sticky', ''),
  0x071: ('AVI', 'Audiovisual (See also FB2)'),
  0x070: ('QuakePAK', 'Id Quake archive'),
  0x06c: ('TADS', ''),
  0x069: ('BigMArt', 'BigMArt15'),
  0x068: ('Z-Code8', 'Infocom adventure game (version 8 Z-Code program)'),
  0x067: ('Z-Code7', 'Infocom adventure game (version 7 Z-Code program)'),
  0x066: ('Z-Code6', 'Infocom adventure game (version 6 Z-Code program)'),
  0x065: ('Z-Code5', 'Infocom adventure game (version 5 Z-Code program)'),
  0x064: ('Z-Code4', 'Infocom adventure game (version 4 Z-Code program)'),
  0x063: ('Z-Code3', 'Infocom adventure game (version 3 Z-Code program)'),
  0x062: ('Z-Code2', 'Infocom adventure game (version 2 Z-Code program)'),
  0x061: ('Z-Code1', 'Infocom adventure game (version 1 Z-Code program)'),
  0x050: ('FracDef', ''),
  0x046: ('ColorMap', ''),
  0x045: ('FracPars', ''),
  0x044: ('Spray', ''),
  0x042: ('Widget5', '!Widget5 512×512 greyscale image'),
  0x041: ('Resource', ''),
  0x040: ('Wordsrch', ''),
  0x03c: ('WordSq', '!WordSq creation and solving'),
  0x03b: ('GEK Pack', 'GEK games'),
  0x022: ('PGP', 'PGP signed file'),
  0x021: ('compress', ''),
  0x017: ('PlanF', ''),
  0x016: ('PlnPg', ''),
  0x012: ('AIM Cfg', ''),
  0x011: ('HelpText', ''),
  0x010: ('Mailabl', ''),
  0x00f: ('UntypedS', 'Sound sample'),
  0x00e: ('U2Enc', '!U2 see also 7FE'),
  0x00d: ('U2Dec', '!U2 (obsolete)'),
  0x00c: ('!Circuit', ''),
  0x00b: ('Matrix', 'Matrix tracker music track'),
  0x00a: ('Armony', ''),
  0x008: ('GolfDemo', ''),
  0x007: ('LCrypted', ''),
  0x006: ('WildV12', 'WildVision 512×512×8b grey picture'),
  0x005: ('ScottGame', ''),
  0x004: ('AIM', 'Archimedes Image Manager greyscale'),
  0x003: ('ArmSI', 'Speed indicator'),
  0x002: ('PlayMod', ''),
  0x001: ('Castles', 'Castles'),
  0x000: ('Crunched', 'Cruncher'),
}
